TKINFO(1)

NAME
tkinfo - program to view GNU Info files

SYNOPSIS
tkinfo [ --help ] [ -headers | +headers ] [ -buttons | +buttons ] [ -scrollthrough | +scrollthrough ] [ -pagesep | +pagesep ] [ -showdir | +showdir ] [ -balloons | +balloons ] [ -linklook type ] [ -highlight type ] [ -searchlook type ] [ -geometry geom ] [ -display display ] [ -iconic ] [ -dir dir1 ] [ -dir dir2 ] ... [ node ]

DESCRIPTION

tkinfo is a graphical browser for documentation in the GNU Info hypertext format.

OPTIONS

--help
    Produces a short help message.

-/+headers
    Turns on/off display of the raw info node headers in the first line of the window. Default is on.

-/+buttons
    Turns on/off display of the button row. Default is on.

-/+balloons
    Turns on/off balloonhelp for the buttons. Default is on.

-/+scrollthrough
    Turns on/off jumping to the successor node when attempting to scroll at the bottom of a node. Default is on.

-/+pagesep
    Turns on/off inserting of page separators when scrolling page-wise. Default is on.

-/+showdir
    Turns on/off showing the full pathname of the displayed info file. Default is off.

-linklook type
    Specifies how to display cross references and menu entries. type must be one of "color", "font", or "underline". Default is "color" on color displays and "underline" on black and white displays.

-highlight type
    Specifies how to highlight links. type must be one of "color", "inverse", or "underline". Default is "inverse".

-searchlook type
    Specifies how to highlight matches after searches. type must be one of "color", "inverse", or "underline". Default is "inverse".

-geometry geom
    Geometry of the window. geom must be of the form XxY+A+B or XxY or +A+B, where X and Y specify the size of the window in characters and A and B the location in pixels.

-display display
    X display to use for the tkinfo window.

-iconic
    Start the first window in iconic state.

-dir dir
    Specifies directories to search for info files, in addition to those contained in the INFOPATH environment variable. The directories specified with -dir will be searched first, in the order given.

node
    Specifies the info node to visit initially. Possible formats for node are:
      "(filename)nodename" most general
      "(filename)" equivalent to (filename)Top
      "filename" equivalent to (filename).

If filename is not absolute, the info directories (from INFOPATH and -dir) will be searched. If filename cannot be found, its lower case version will be tried.

An alternative way to specify the node "(FILE)NODE" is with "-file FILE -node NODE".

If no node is given, the default node "(dir)Top" is used.

ENVIRONMENT

INFOPATH
    A colon (``:'') separated list of directories to search for info files. More directories can be given with -dir options, above. If not set, tkinfo will try various standard directories that should be ok for most systems.

INFOSUFFIX
    A colon separated list of file suffixes to try when searching for an info file. If not set, tkinfo will try the suffixes "", ".info", and "-info". In addition, tkinfo will always automatically try the suffixes .Z, .z, and .gz and deal with the compressed file if necessary.

SEE ALSO
The program documents itself in the info format: start it and type 'h'. Customization via X resources is also documented in that way.

You can get additional information and the latest version of tkinfo on the WWW at http://math-www.uni-paderborn.de/~axel/tkinfo/

AUTHOR
This manual page was written by Craig Sanders <cas@taz.net.au> for the Debian GNU/Linux system and released under the GNU General Public License. Some changes were made by Axel Boldt <axelboldt@yahoo.com>.